Bug 125690 - Sort not functional in Base Reports defined with old report designer
Summary: Sort not functional in Base Reports defined with old report designer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 58911
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-04 15:41 UTC by pebro
Modified: 2019-06-06 18:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (319.24 KB, application/vnd.sun.xml.base)
2019-06-04 15:52 UTC, pebro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pebro 2019-06-04 15:41:48 UTC
Description:
I used OpenOffice in the past, and sorting worked in Base while reporting.
I am currently using LibreOffice. In the file itself, the results are not sorted alphabetically when you make a Report. :(
The previous version of LibreOffice also did not sort (I do not remember the version number).
Sorry, my english is not good.
Po polsku:
Dawniej używałem OpenOffice i w Base podczas robienia raportów działało sortowanie.
Obecnie używam LibreOffice 6.1.5.2. W tam samym pliku podczas robienia Raportu wyniki nie są sortowane alfabetycznie. :(
Wcześniejsza wersja LibreOffice też nie sortowała (nie pamiętam nr wersji).

Steps to Reproduce:
1. 

Actual Results:
no sorting

Expected Results:
sorting ;)


Reproducible: Always


User Profile Reset: Yes



Additional Info:
[Information automatically included from LibreOffice]
Locale: pl
Module: FormDesign
[Information guessed from browser]
OS: Windows (All)
OS is 64bit: no
Comment 1 pebro 2019-06-04 15:52:45 UTC
Created attachment 151913 [details]
sample file

1. open the file
2. Report (Raporty)
3. _zbiorcze_(nie do druku)
   Report is not sorting, but in OpenOffice was sorting
Comment 2 Alex Thurgood 2019-06-05 12:36:39 UTC
@pebro: how were these reports designed ?

If I try to open the report in Edit mode (right mouse button click on a report name and choose Edit), the Report Designer does not open, instead a Writer document is opened.

Did you use some other report designer tool to make these reports ?
I'm thinking that you used the old non-Java report designer which produced Writer documents instead of an XML definition that is stored in the ODB file.

I have tried so far in LO6152, LO6222, LO6073, with the same results.
Comment 3 Alex Thurgood 2019-06-05 12:43:05 UTC
The old C++ report designer code was removed, leaving only the possibility to read older versions of reports, hence the Writer documents being opened. However, this does not allow one to redefine the report using the report designer tool, or inspect its properties.
Comment 4 pebro 2019-06-05 16:24:25 UTC
Yes, this Report was made in the old OpenOffice program.
I checked, the report has been done correctly again (sorts). It is a pity that LO is not 100% compatible with OO.
Comment 5 QA Administrators 2019-06-06 02:55:25 UTC Comment hidden (obsolete)
Comment 6 Alex Thurgood 2019-06-06 07:49:10 UTC
@pebro : thanks !

I should have been more precise - on Linux, due to the way packaging of the various components is managed by the various distributions, you can still have the old report designer functionality if you don't install the report-builder package (or if you forcibly remove it, if it was installed by default).

However, you can't do this on either macOS or Windows, where the Java report builder code was moved from being an extension to an integrated part of the LibreOffice build release.

This leads to a situation where you can't re-edit previously created reports made with the older report designer code.

Thus, this bug is at least related to bug 58911 and bug 61950.

1) Unfortunately, I am not in a position to test, as macOS doesn't provide for access to the old report designer wizard.

2) It is doubtful that the old legacy code is going to be fixed, even if the bug somehow manages to get confirmed.
Comment 7 Robert Großkopf 2019-06-06 17:56:07 UTC
Have tested this one with LO 6.2.4.2 and AOO 4.1.6 on OpenSUSE 15. 
The report, defined through the legacy-report-engine, isn't shown sorted by the first column in LO 6.2.4.2.
AOO will show this report sorted, but I can't look for the reason, because the whole AOO will crash very often on OpenSUSE 15.

Don't know if this bug will be fixed, if it is created with a module, which isn't implemented for editing this kind of reports in LO any more.
Comment 8 pebro 2019-06-06 18:35:08 UTC
> It is doubtful that the old legacy code is going to be fixed, even if the bug somehow manages to get confirmed.

 :(
Alex Thurgood and  Robert Großkopf  thank you for explaining, although it is not satisfying.
Comment 9 Robert Großkopf 2019-06-06 18:46:49 UTC
(In reply to pebro from comment #8)

> Alex Thurgood and  Robert Großkopf  thank you for explaining, although it is
> not satisfying.

Hi pebro,

if you have a version of LO (or AOO) where you are able to edit or create this kind of report try to change the datasource for the report to a view of the data. The data you are using should be sorted through this viel from the database so it will also be sorted in the report, which follows only the datasource, not an internal sorting-order.

... You could also connect me through private mail and I will try to help you to change the reports to reports of the build-in reportbuilder of LO.